# Uses of Interface
org.opensaml.saml.saml1.core.StatusMessage

Packages that use StatusMessage
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of StatusMessage in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return StatusMessage
Modifier and Type
Method
Description
`StatusMessage`
Status.`getStatusMessage()`
Get the object representing the `StatusMessage` (element).
Methods in org.opensaml.saml.saml1.core with parameters of type StatusMessage
Modifier and Type
Method
Description
`void`
Status.`setStatusMessage(StatusMessage statusMessage)`
Set the object representing the `StatusMessage` (element).

## Uses of StatusMessage in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement StatusMessage
Modifier and Type
Class
Description
`class`
`StatusMessageImpl`
Concrete implementation of `StatusMessage` object.
Fields in org.opensaml.saml.saml1.core.impl declared as StatusMessage
Modifier and Type
Field
Description
`private StatusMessage`
StatusImpl.`statusMessage`
Representation of the StatusMessage element.
Methods in org.opensaml.saml.saml1.core.impl that return StatusMessage
Modifier and Type
Method
Description
`StatusMessage`
StatusMessageBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`StatusMessage`
StatusMessageBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusMessage`
StatusImpl.`getStatusMessage()`
Get the object representing the `StatusMessage` (element).
Methods in org.opensaml.saml.saml1.core.impl with parameters of type StatusMessage
Modifier and Type
Method
Description
`void`
StatusImpl.`setStatusMessage(StatusMessage message)`
Set the object representing the `StatusMessage` (element).